Subject: Re: NTemacs and PGP and VM; Shell woes

From: Mary Holstege <[email-masked]>
Date: Tue, 22 Oct 96 12:43:11 PDT

I still don't have PGP working either, but I think I know why that is and
maybe someone can help me out here.

First, be sure you have your PGPPATH set.  Following my Unix habit, I had mine
as c:/home/holstege/.pgp  This does not work!  I don't know why, but renaming
the directory to c:/home/holstege/pgp allows pgp to function from my shell or
from shell mode in emacs.  Also make sure you have TZ set properly.

However my problem is that for some reason my shell (Cygnus bash) wants an
extra level of quoting of the command string from what it is getting from
call-process via shell-command and I expect this is messing up the mailcrypt
interface as well.  For example, if I try 
    M-! ls foo.txt
I get a full ls of the entire current directory, whereas
    M-! "ls foo.txt"
gives me the proper restricted listing.  Similarly, 
    M-! diff one.txt two.txt
gives me a complaint that I have missing arguments, but
    M-! "diff one.txt two.txt"
works.

Has anyone encountered this problem?  What can I do about it? 

	-- Mary
	   [email-masked]

| Mary Holstege, PhD
| First Floor Software                    (415) 254-5161
| 444 Castro Street, Suite 200            (415) 968-1193 (Fax)
| Mountain View, CA 94041
| 
| http://www-cs-students.stanford.edu/~holstege

---

From: Ron Forrester <[email-masked]>
Date: Tue, 22 Oct 1996 13:10:22 -0700

>>>>> "Mary" == Mary Holstege <[email-masked]> writes:

    Mary> I still don't have PGP working either, but I think I know
    Mary> why that is and maybe someone can help me out here.

    Mary> First, be sure you have your PGPPATH set.  Following my Unix
    Mary> habit, I had mine as c:/home/holstege/.pgp This does not
    Mary> work!  I don't know why, but renaming the directory to
    Mary> c:/home/holstege/pgp allows pgp to function from my shell or
    Mary> from shell mode in emacs.  Also make sure you have TZ set
    Mary> properly.

I'd be willing to bet you have the DOS version of PGP. I have my
PGPPATH set to ~/.pgp and the NT version works great.

In any case, I have not heard of anyone getting the DOS pgp to work
with Emacs...

    Mary> However my problem is that for some reason my shell (Cygnus
    Mary> bash) wants an extra level of quoting of the command string
    Mary> from what it is getting from call-process via shell-command
    Mary> and I expect this is messing up the mailcrypt interface as
    Mary> well.  For example, if I try M-! ls foo.txt I get a full ls
    Mary> of the entire current directory, whereas M-! "ls foo.txt"
    Mary> gives me the proper restricted listing.  Similarly, M-! diff
    Mary> one.txt two.txt gives me a complaint that I have missing
    Mary> arguments, but M-! "diff one.txt two.txt" works.

Make sure you have the following in your .emacs:

(setq win32-quote-process-args t)

rjf

--
"How she holds, her eyes, to the ground. What a waste, of a soul, 
what a waste!" - Dishwalla | For pgp key, finger [email-masked]